Create check payment
curl --request POST \
--url https://api.natural.com/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"amount": 25000,
"currency": "USD",
"externalPartyId": "epty_019cd1798d8d6873421613705e3c1415",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass"
}
}
}
'import requests
url = "https://api.natural.com/check"
payload = { "data": { "attributes": {
"amount": 25000,
"currency": "USD",
"externalPartyId": "epty_019cd1798d8d6873421613705e3c1415",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass"
} } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
attributes: {
amount: 25000,
currency: 'USD',
externalPartyId: 'epty_019cd1798d8d6873421613705e3c1415',
memo: 'Invoice 1042',
message: 'Thank you for your business',
internalDescription: 'Q3 vendor true-up',
deliveryMethod: 'uspsFirstClass'
}
}
})
};
fetch('https://api.natural.com/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'amount' => 25000,
'currency' => 'USD',
'externalPartyId' => 'epty_019cd1798d8d6873421613705e3c1415',
'memo' => 'Invoice 1042',
'message' => 'Thank you for your business',
'internalDescription' => 'Q3 vendor true-up',
'deliveryMethod' => 'uspsFirstClass'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/check"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"amount\": 25000,\n \"currency\": \"USD\",\n \"externalPartyId\": \"epty_019cd1798d8d6873421613705e3c1415\",\n \"memo\": \"Invoice 1042\",\n \"message\": \"Thank you for your business\",\n \"internalDescription\": \"Q3 vendor true-up\",\n \"deliveryMethod\": \"uspsFirstClass\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/check")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"amount\": 25000,\n \"currency\": \"USD\",\n \"externalPartyId\": \"epty_019cd1798d8d6873421613705e3c1415\",\n \"memo\": \"Invoice 1042\",\n \"message\": \"Thank you for your business\",\n \"internalDescription\": \"Q3 vendor true-up\",\n \"deliveryMethod\": \"uspsFirstClass\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"amount\": 25000,\n \"currency\": \"USD\",\n \"externalPartyId\": \"epty_019cd1798d8d6873421613705e3c1415\",\n \"memo\": \"Invoice 1042\",\n \"message\": \"Thank you for your business\",\n \"internalDescription\": \"Q3 vendor true-up\",\n \"deliveryMethod\": \"uspsFirstClass\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "check",
"id": "chk_019cd1798d875d7c0a4165d10dc4db29",
"attributes": {
"amount": 25000,
"currency": "USD",
"fee": null,
"status": "created",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass",
"checkNumber": null,
"voidDate": null,
"payee": {
"name": "Acme Supply LLC",
"line1": "1200 Broadway",
"line2": "Suite 400",
"city": "Oakland",
"state": "CA",
"postalCode": "94612",
"addressVersion": 3
},
"delivery": null,
"presentmentReturns": [],
"return": null,
"cancellation": null,
"failure": null,
"canonicalReason": null,
"submittedAt": null,
"issuedAt": null,
"stopRequestedAt": null,
"completedAt": null,
"returnedAt": null,
"canceledAt": null,
"expiredAt": null,
"rejectedAt": null,
"terminalAt": null,
"createdAt": "2026-09-03T15:30:00.000Z",
"updatedAt": "2026-09-03T15:30:00.000Z"
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
}
}
}
}Direct: Check
Create check payment
Create a check payment mailed to an external party. Returns the Check object.
POST
/
check
Create check payment
curl --request POST \
--url https://api.natural.com/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"amount": 25000,
"currency": "USD",
"externalPartyId": "epty_019cd1798d8d6873421613705e3c1415",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass"
}
}
}
'import requests
url = "https://api.natural.com/check"
payload = { "data": { "attributes": {
"amount": 25000,
"currency": "USD",
"externalPartyId": "epty_019cd1798d8d6873421613705e3c1415",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass"
} } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
attributes: {
amount: 25000,
currency: 'USD',
externalPartyId: 'epty_019cd1798d8d6873421613705e3c1415',
memo: 'Invoice 1042',
message: 'Thank you for your business',
internalDescription: 'Q3 vendor true-up',
deliveryMethod: 'uspsFirstClass'
}
}
})
};
fetch('https://api.natural.com/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'amount' => 25000,
'currency' => 'USD',
'externalPartyId' => 'epty_019cd1798d8d6873421613705e3c1415',
'memo' => 'Invoice 1042',
'message' => 'Thank you for your business',
'internalDescription' => 'Q3 vendor true-up',
'deliveryMethod' => 'uspsFirstClass'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/check"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"amount\": 25000,\n \"currency\": \"USD\",\n \"externalPartyId\": \"epty_019cd1798d8d6873421613705e3c1415\",\n \"memo\": \"Invoice 1042\",\n \"message\": \"Thank you for your business\",\n \"internalDescription\": \"Q3 vendor true-up\",\n \"deliveryMethod\": \"uspsFirstClass\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/check")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"amount\": 25000,\n \"currency\": \"USD\",\n \"externalPartyId\": \"epty_019cd1798d8d6873421613705e3c1415\",\n \"memo\": \"Invoice 1042\",\n \"message\": \"Thank you for your business\",\n \"internalDescription\": \"Q3 vendor true-up\",\n \"deliveryMethod\": \"uspsFirstClass\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"amount\": 25000,\n \"currency\": \"USD\",\n \"externalPartyId\": \"epty_019cd1798d8d6873421613705e3c1415\",\n \"memo\": \"Invoice 1042\",\n \"message\": \"Thank you for your business\",\n \"internalDescription\": \"Q3 vendor true-up\",\n \"deliveryMethod\": \"uspsFirstClass\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "check",
"id": "chk_019cd1798d875d7c0a4165d10dc4db29",
"attributes": {
"amount": 25000,
"currency": "USD",
"fee": null,
"status": "created",
"memo": "Invoice 1042",
"message": "Thank you for your business",
"internalDescription": "Q3 vendor true-up",
"deliveryMethod": "uspsFirstClass",
"checkNumber": null,
"voidDate": null,
"payee": {
"name": "Acme Supply LLC",
"line1": "1200 Broadway",
"line2": "Suite 400",
"city": "Oakland",
"state": "CA",
"postalCode": "94612",
"addressVersion": 3
},
"delivery": null,
"presentmentReturns": [],
"return": null,
"cancellation": null,
"failure": null,
"canonicalReason": null,
"submittedAt": null,
"issuedAt": null,
"stopRequestedAt": null,
"completedAt": null,
"returnedAt": null,
"canceledAt": null,
"expiredAt": null,
"rejectedAt": null,
"terminalAt": null,
"createdAt": "2026-09-03T15:30:00.000Z",
"updatedAt": "2026-09-03T15:30:00.000Z"
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
}
}
}
}Authorizations
Headers
Was this page helpful?